Page MenuHomeFreeBSD

Only set PORTDOCS/PORTEXAMPLES if their respective options are in OPTIONS_DEFINE.
ClosedPublic

Authored by mat on Dec 27 2017, 1:55 PM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mat created this revision.Dec 27 2017, 1:55 PM
mat updated this revision to Diff 37094.Dec 27 2017, 2:06 PM
  • Fix message.
  • Refactor.
mat updated this revision to Diff 37518.Jan 4 2018, 3:16 PM

rebase.

mat updated this revision to Diff 38669.Jan 30 2018, 12:37 PM

rebase

mat updated this revision to Diff 46130.Aug 1 2018, 2:51 PM

rebase.

adamw added a subscriber: adamw.Aug 1 2018, 3:02 PM

This is an insanely good idea.

Mk/bsd.sanity.mk
161 ↗(On Diff #46130)

The language here is a little confusing. Try one of:

PORT{_type} does not do anything unless the ${_type} option is present

PORT{_type} does not do anything without OPTIONS_DEFINE=${_type}

Personally I like the second one.

mat updated this revision to Diff 46131.Aug 1 2018, 3:25 PM
  • Make the error less unreadable.
jbeich added a subscriber: jbeich.Aug 1 2018, 7:50 PM
jbeich added inline comments.
games/openbor/Makefile
66 ↗(On Diff #46131)

Please, sort the values alphabetically.

mat updated this revision to Diff 47236.Aug 24 2018, 3:17 PM

Rebase & update.

mat marked 2 inline comments as done.Aug 24 2018, 3:19 PM
mat updated this revision to Diff 47240.Aug 24 2018, 3:48 PM
  • fixup! Add DOCS and EXAMPLES options where applicable
  • fixup! Add DOCS and EXAMPLES options where applicable
dch added a subscriber: dch.Aug 24 2018, 6:05 PM
mat updated this revision to Diff 47249.Aug 24 2018, 6:17 PM
  • fixup! Only set PORTDOCS/PORTEXAMPLES if their respective options are in OPTIONS_DEFINE.
mat updated this revision to Diff 47260.Aug 24 2018, 8:46 PM
  • Make sure DOCS and EXAMPLES are there to be tested, even if excluded.
mat updated this revision to Diff 47342.Aug 27 2018, 2:11 PM
mat added a subscriber: antoine.

Rebase & fix feedback from @antoine.

mat updated this revision to Diff 47378.Aug 28 2018, 11:16 AM
  • fixup! Add DOCS and EXAMPLES options where applicable
mat updated this revision to Diff 47438.Aug 29 2018, 12:34 PM

Reorder changes:

  • After an include, PLIST_SUB must be appended to, not overwritten.
  • Add DOCS options to ports that should have one.
  • Add EXAMPLES options to ports that should have one.
  • Various cleanup & fixes post-DOCS/EXAMPLES cleanup.
  • Add a DEV_ERROR if PORTDOCS/PORTEXAMPLES are set and DOCS/EXAMPLES
  • Only set %%PORTDOCS%%/%%PORTEXAMPLES%% if a DOCS/EXAMPLES option is defined.

fixups post exp-run:

  • fixup! Add DOCS options to ports that should have one.
  • fixup! Add DOCS options to ports that should have one.
  • fixup! Add DOCS options to ports that should have one.
  • fixup! Add DOCS options to ports that should have one.
  • fixup! Add EXAMPLES options to ports that should have one.
mat updated this revision to Diff 47445.Aug 29 2018, 4:25 PM

Add a forgotten patch limiting PORTDOCS/EXAMPLES to only be useful if their options are there.

mat updated this revision to Diff 47522.Aug 31 2018, 8:21 AM

Rebase and one more fixup.

mat updated this revision to Diff 47616.Sep 3 2018, 1:36 PM
  • fixup! Add DOCS options to ports that should have one.
  • fixup! Add DOCS options to ports that should have one.
  • fixup! Add DOCS options to ports that should have one.
mat updated this revision to Diff 47617.Sep 3 2018, 2:02 PM

rebase.

mat updated this revision to Diff 47857.Sep 10 2018, 12:42 PM

Rebase and fix www/nginx.

This revision was not accepted when it landed; it landed in state Needs Review.Sep 10 2018, 1:16 PM
This revision was automatically updated to reflect the committed changes.